## org.firebirdsql.jca
Class FBXAException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.xa.XAException
                  org.firebirdsql.jca.FBXAException

All Implemented Interfaces:
  Serializable

    public class FBXAException

extends XAException

Convenience exception that adds constructor taking message and error code together.

Author:
  Roman Rokytskyy
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.transaction.xa.XAException
`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

Constructor Summary
`FBXAException()`
`FBXAException(int errorCode)` Create a new instance of `FBXAException` based around a specific error code.
`FBXAException(int errorCode, Exception reason)` Create a new instance of `FBXAException` wrapped around an underlying exception.
`FBXAException(String msg)` Create a new instance of `FBXAException` with a given message.
`FBXAException(String msg, int errorCode)` Create a new instance of `FBXAException` based around a message and specific error code.

Method Summary
`String` `getMessage()` Get message of this exception.
`void` `printStackTrace()` Print a stack trace for this exception to `STDERR`.
`void` `printStackTrace(PrintStream s)` Print a stack trace for this exception with a given `PrintStream`.
`void` `printStackTrace(PrintWriter s)` Print a stack trace for this exception with a given `PrintWriter`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FBXAException

    public FBXAException()

### FBXAException

    public FBXAException(String msg)

  Create a new instance of `FBXAException` with a given message.

  Parameters:
    `msg` - The string message for this exception

### FBXAException

    public FBXAException(int errorCode)

  Create a new instance of `FBXAException` based around a specific error code.

  Parameters:
    `errorCode` - The error code for this exception

### FBXAException

    public FBXAException(String msg,
                         int errorCode)

  Create a new instance of `FBXAException` based around a message and specific error code.

  Parameters:
    `msg` - The string message for this exception
    `errorCode` - The error code for this exception

### FBXAException

    public FBXAException(int errorCode,
                         Exception reason)

  Create a new instance of `FBXAException` wrapped around an underlying exception.

  Parameters:
    `errorCode` - The error code for this exception
    `reason` - The underlying exception

Method Detail

### getMessage

    public String getMessage()

  Get message of this exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    combined message of this exception and original exception.

### printStackTrace

    public void printStackTrace()

  Print a stack trace for this exception to `STDERR`.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Print a stack trace for this exception with a given `PrintStream`.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - The `PrintStream` to which the stack trace will be written

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Print a stack trace for this exception with a given `PrintWriter`.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - The `PrintWriter` to which the stack trace will be written

Copyright © 2001-2010. All Rights Reserved.